Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class BotDialog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.BotDialog

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BotDialog extends IdTitle
Диалог с пользователем. (Представление одного окна) Сущность, которая содержит в себе список #`BotDialogElement` Хранит ссылку на диалог, который до неё был и который будет после

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotDialog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommand()`
  `List<BotDialogElement>`
  `getDialogElements()`
  `Set<Integer>`
  `getGroups()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getProcessingClass()`
  `boolean`
  `isOnlySignedUser()`
  `void`
  `setCommand(String command)`
  `void`
  `setDialogElements(List<BotDialogElement> dialogElements)`
  `void`
  `setGroups(Set<Integer> groups)`
  `void`
  `setOnlySignedUser(boolean onlySignedUser)`
  `void`
  `setProcessingClass(String processingClass)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BotDialog

    public BotDialog()

- ## Method Details

  - ### getDialogElements

    public List<BotDialogElement> getDialogElements()

  - ### setDialogElements

    public void setDialogElements(List<BotDialogElement> dialogElements)

  - ### getGroups

    public Set<Integer> getGroups()

  - ### setGroups

    public void setGroups(Set<Integer> groups)

  - ### getProcessingClass

    public String getProcessingClass()

  - ### setProcessingClass

    public void setProcessingClass(String processingClass)

  - ### isOnlySignedUser

    public boolean isOnlySignedUser()

  - ### setOnlySignedUser

    public void setOnlySignedUser(boolean onlySignedUser)

  - ### getCommand

    public String getCommand()

  - ### setCommand

    public void setCommand(String command)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.